%define uname   2048-Qt

Name:           2048-qt
Version:        0.1.6
Release:        %mkrel 9
Summary:        Mathematics-based puzzle game
Group:          Games/Puzzles
License:        MIT
URL:            https://github.com/xiaoyong/2048-Qt/
Source0:        https://github.com/xiaoyong/2048-Qt/archive/v%{version}/%{uname}-%{version}.tar.gz
Patch0:         2048-qt-0.1.5-mga-binary-path.patch
Patch1:         2048-qt-0.1.6-mga-desktop.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Widgets)
Requires:       qtdeclarative5
Requires:       qtquickcontrols5

%description
2048 is a mathematics-based puzzle game where you have to slide tiles
on a grid to combine them and create a tile with the number 2048.
You have to merge the similar number tiles by moving the arrow keys
in four different directions. When two tiles with the same number touch,
they will merge into one.

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%qmake_qt5
%make_build

%install
%qmakeinstall_std

install -d %{buildroot}%{_iconsdir}/hicolor
cp -a res/icons/{16x16,32x32,48x48,256x256,scalable} %{buildroot}%{_iconsdir}/hicolor

install -D -m644 res/man/%{name}.6 %{buildroot}%{_mandir}/man6/%{name}.6

install -D -m644 res/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc Changelog.md LICENSE README.md
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.1.6-9.mga10
+ Revision: 2214246
- Mageia 10 Mass Rebuild

* Mon Apr 04 2022 umeabot <umeabot> 0.1.6-8.mga9
+ Revision: 1843241
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 0.1.6-7.mga8
+ Revision: 1658121
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.1.6-6.mga8
+ Revision: 1524277
- Mageia 8 Mass Rebuild

* Fri Mar 29 2019 umeabot <umeabot> 0.1.6-5.mga7
+ Revision: 1381204
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.1.6-4.mga7
+ Revision: 1297257
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Sat Feb 13 2016 umeabot <umeabot> 0.1.6-2.mga6
+ Revision: 959472
- Mageia 6 Mass Rebuild

* Fri Oct 30 2015 akien <akien> 0.1.6-1.mga6
+ Revision: 896782
- Version 0.1.6

* Thu Nov 13 2014 akien <akien> 0.1.5-1.mga5
+ Revision: 796796
- Add French translation
- imported package 2048-qt

